
QGIS Application - Bug report #11991

Grid annotation distance to map frame not initialized correctly

2015-01-15 03:56 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Decorations

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20197

Description

It looks like the "distance to map frame" parameter of grid decoration annotations is not retained.

To test:

- Enable grid, set show annotations and "distance to map frame" = 16

 - Click on Apply, see grid annotation offsetted from frame

 - Close dialog (OK)

 - Re-open GRID dialog, the distance to map frame is now 0

NOTE: the value is correctly saved to project file and used from there, but it is not shown correctly in the dialog.

Associated revisions

Revision d45eea1e - 2015-03-18 07:53 AM - Nyall Dawson

Fix grid annotation distance not restored in dialog (fix #11991)

Revision 88b14c0c - 2015-03-18 08:05 AM - Nyall Dawson

Fix grid annotation distance not restored in dialog (fix #11991)

History

#1 - 2015-03-17 11:55 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"d45eea1ec475e7c87c2763fab6d59e21d093243c".
